%if 0%{?fedora} >= 12 || 0%{?rhel} >= 8
%global with_py3 1
%endif

%global upstream_name sphinxcontrib-napoleon

Name:           python-%{upstream_name}
Version:        0.2.9
Release:        2%{?dist}
Summary:        Sphinx napoleon extension

Group:          Development/Libraries
License:        BSD
URL:            http://sphinxcontrib-napoleon.readthedocs.org/en/latest/
Source0:        https://pypi.python.org/packages/source/s/%{upstream_name}/%{upstream_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
%if 0%{?with_py3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif

Requires:       python-sphinx >= 0.6, python-sphinx < 1.3

%description
Napoleon is a Sphinx extension that parses NumPy and Google style docstrings
and converts them to reStructuredText before Sphinx attempts to parse them.
This happens in an intermediate step while Sphinx is processing the
documentation, so it doesn't modify any of the docstrings in your actual source
code files.

%if 0%{?with_py3}
%package -n     python3-%{upstream_name}
Summary:        Sphinx napoleon extension
Requires:       python3-sphinx >= 0.6, python3-sphinx < 1.3

%description -n python3-%{upstream_name}
Napoleon is a Sphinx extension that parses NumPy and Google style docstrings
and converts them to reStructuredText before Sphinx attempts to parse them.
This happens in an intermediate step while Sphinx is processing the
documentation, so it doesn't modify any of the docstrings in your actual source
code files.
%endif


%prep
%setup -q -c
rm -r %{upstream_name}-%{version}/*.egg-info
# do not install tests - they have other dependencies
rm -r %{upstream_name}-%{version}/tests/
# Prepare for python3 build
cp -a %{upstream_name}-%{version} python3-%{upstream_name}-%{version}

%build
# Python 2 build
pushd %{upstream_name}-%{version}
    %{__python2} setup.py build
popd
%if 0%{?with_py3}
pushd python3-%{upstream_name}-%{version}
    %{__python3} setup.py build
popd
%endif

%install
# Python 2 installation
pushd %{upstream_name}-%{version}
    %{__python2} setup.py install --skip-build --root %{buildroot}
popd

%if 0%{?with_py3}
pushd python3-%{upstream_name}-%{version}
    %{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif

%files
%doc %{upstream_name}-%{version}/README.rst %{upstream_name}-%{version}/LICENSE
%{python2_sitelib}/*

%if 0%{?with_py3}
%files -n python3-%{upstream_name}
%doc %{upstream_name}-%{version}/README.rst %{upstream_name}-%{version}/LICENSE
%{python3_sitelib}/*
%endif

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jan 14 2015 Michal Minar <miminar@redhat.com> 0.2.9-1
- New upstream version.

* Wed Nov 26 2014 Michal Minar <miminar@redhat.com> 0.2.8-2
- Fixed requires.

* Wed Sep 10 2014 Michal Minar <miminar@redhat.com> 0.2.8-1
- Initial rpm.

